{{page-title (capitalize (t "new team"))}}

{{#if this.model}}
  <Manage::Container @title={{capitalize (t "new team")}} @breadcrumbs={{this.breadcrumbs}}>
    <:content>
      <Manage::RowAdd @name="name" as |id|>
        <Input id={{id}} class="form-control" @value={{this.model.name}} placeholder={{capitalize (t "what is team name?")}} />
      </Manage::RowAdd>

      <Manage::RowAdd @name="about" as |id|>
        <Article::Editor @id={{id}} @value={{this.description}} @onChange={{this.changeAboutValue}} @allowNoHeading={{true}} class="article-with-borders" />
      </Manage::RowAdd>

      <Manage::Row @name="submit">
        <button type="button" class="btn btn-primary btn-submit {{if (or this.model.isSaving this.isInvalid) 'disabled'}}" {{on "click" this.save}} disabled={{or this.model.isSaving this.isInvalid}}>
          {{#if @model.isSaving}}
            <FaIcon @icon="spinner" @spin={{true}} />
          {{/if}}

          {{capitalize (t "add")}}
        </button>
      </Manage::Row>
    </:content>
  </Manage::Container>
{{/if}}